HaskellForMaths-0.4.8: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None
Language | Haskell98

Math.Projects.KnotTheory.TemperleyLieb

# Documentation

data TemperleyLiebGens Source #

Constructors

E Int |

Instances

Eq TemperleyLiebGens Source # |
Methods (==) :: TemperleyLiebGens -> TemperleyLiebGens -> Bool # (/=) :: TemperleyLiebGens -> TemperleyLiebGens -> Bool #
Ord TemperleyLiebGens Source # |

Methods

compare :: TemperleyLiebGens -> TemperleyLiebGens -> Ordering #

(<) :: TemperleyLiebGens -> TemperleyLiebGens -> Bool #

(<=) :: TemperleyLiebGens -> TemperleyLiebGens -> Bool #

(>) :: TemperleyLiebGens -> TemperleyLiebGens -> Bool #

(>=) :: TemperleyLiebGens -> TemperleyLiebGens -> Bool #

max :: TemperleyLiebGens -> TemperleyLiebGens -> TemperleyLiebGens #

min :: TemperleyLiebGens -> TemperleyLiebGens -> TemperleyLiebGens #

Show TemperleyLiebGens Source # |
Methods showsPrec :: Int -> TemperleyLiebGens -> ShowS # show :: TemperleyLiebGens -> String # showList :: [TemperleyLiebGens] -> ShowS #

e_ :: Int -> NPoly LPQ TemperleyLiebGens Source #

d :: LaurentMPoly Q Source #

d' :: NPoly LPQ TemperleyLiebGens Source #

e1 :: NPoly LPQ TemperleyLiebGens Source #

e2 :: NPoly LPQ TemperleyLiebGens Source #

e3 :: NPoly LPQ TemperleyLiebGens Source #

e4 :: NPoly LPQ TemperleyLiebGens Source #

tlRelations :: Int -> [NPoly LPQ TemperleyLiebGens] Source #

dimTL :: NPoly t TemperleyLiebGens -> Int Source #

tlnf :: NPoly LPQ TemperleyLiebGens -> NPoly LPQ TemperleyLiebGens Source #

tlBasis :: Int -> [NPoly LPQ TemperleyLiebGens] Source #

tr' :: Int -> Monomial TemperleyLiebGens -> LaurentMPoly Q Source #

tr :: Int -> NPoly (LaurentMPoly Q) TemperleyLiebGens -> LaurentMPoly Q Source #

a :: LaurentMPoly Q Source #

a' :: NPoly LPQ TemperleyLiebGens Source #

fromBraid :: NPoly LPQ BraidGens -> NPoly LPQ TemperleyLiebGens Source #

jones :: Int -> NPoly LPQ BraidGens -> LaurentMPoly Q Source #